#16 xrootd major move to 4.
Closed: Fixed None Opened 4 years ago by smooge.

Looked at this and it looks like old software which isn't backwards compatible or long term supported.

  1. bump to next version?
  2. Move software to EPEL.fast when it occurs

{{{

EPEL gfal2-plugin-xrootd 0.3 for EL5 & EL6 ?
Inbox
x
Fed-DT-List
x

Carl Edquist edquist@cs.wisc.edu via lists.fedoraproject.org
6 Oct (3 days ago)

to epel-devel
Hello,

We would like to use a version of gfal2-plugin-xrootd built against xrootd 4 for EL5 and EL6. Does anyone know if there are plans to build and release version 0.3 (or 0.3.pre1) for EL5 & EL6?

(The version available in EL7 is built against xrootd 4, but EL5 & EL6 are built against xrootd 3.)

More details:

It looks like the current version available in EPEL for EL5 & EL6 is 0.2.2-2:

    http://koji.fedoraproject.org/koji/buildinfo?buildID=420560
    http://koji.fedoraproject.org/koji/buildinfo?buildID=420579

from May 2013. Since this version was built against xrootd 3, we're not able to install it along with xrootd 4. Also, attempting to rebuild this version (0.2.2-2) fails both against the latest version of gfal2 and against xrootd 4.

But I see that there is a newer version 0.3.pre1-2 available for EL7:

    https://bugzilla.redhat.com/show_bug.cgi?id=1140171
    http://koji.fedoraproject.org/koji/buildinfo?buildID=576482

It looks like this version addresses the build issues and we can rebuild it in EL5 & EL6 against the latest gfal2 and xrootd 4.

I'm wondering if there are plans for EPEL to update to & release the new version of gfal2-plugin-xrootd in EL5 & EL6 also (so we can get it directly from EPEL). And if not, is this something EPEL would consider?

Thanks!
Carl


epel-devel mailing list
epel-devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/epel-devel

}}}


The updates are now pushed to stable.

Login to comment on this ticket.

Metadata